# Uses of Interface
javax.naming.spi.InitialContextFactory

Packages that use InitialContextFactory
Package
Description
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.

## Uses of InitialContextFactory in javax.naming.spi

Methods in javax.naming.spi that return InitialContextFactory
Modifier and Type
Method
Description
`InitialContextFactory`
InitialContextFactoryBuilder.`createInitialContextFactory​(Hashtable<?,​?> environment)`
Creates an initial context factory using the specified environment.